From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/hivex/
Date: Mon, 7 Jun 2021 23:27:21 +0000 (UTC) [thread overview]
Message-ID: <1623108431.0a69af54f09f3f929f87140cd4c239aca323748d.sam@gentoo> (raw)
commit: 0a69af54f09f3f929f87140cd4c239aca323748d
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 7 23:25:21 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun 7 23:27:11 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a69af54
app-misc/hivex: add 1.3.20
Bug: https://bugs.gentoo.org/784584
Closes: https://bugs.gentoo.org/682238
Closes: https://bugs.gentoo.org/692528
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-misc/hivex/Manifest | 1 +
app-misc/hivex/hivex-1.3.20.ebuild | 119 +++++++++++++++++++++++++++++++++++++
2 files changed, 120 insertions(+)
diff --git a/app-misc/hivex/Manifest b/app-misc/hivex/Manifest
index 7af733a86f6..295aa26efec 100644
--- a/app-misc/hivex/Manifest
+++ b/app-misc/hivex/Manifest
@@ -1 +1,2 @@
DIST hivex-1.3.18.tar.gz 1542133 BLAKE2B 961d0797770a2bd3176ce288a509fab8685de91317d55f05e5295f9f56fd54c31acb64847e0cbb6a6074627ccbdfdf35bd0d35150beb7746a8b3de9128ac24e3 SHA512 1851351118921e81df9e505f90d00048a178572c2edd3de40194a69915176bdb615e2eb5afea408d57063e98257c8d1e3d0cd6730407153892cc9e3befc4aa3a
+DIST hivex-1.3.20.tar.gz 1727498 BLAKE2B db6448242fc4b72d75cc7234a49e146cb165b1b9b9e2e72fb2a05be37cbb1d8ca865ccc51c4d2d50199e69cae2d870743ecd41534290e9a100bb268c2437ee22 SHA512 366e84c2a13ff53c70036df60db6e2b469cd06e3405761df73c47978b4fa0245246a1ea912aa5852b1272221d55c6c100b40b00e4c9a6f5668d12ff7f93c787a
diff --git a/app-misc/hivex/hivex-1.3.20.ebuild b/app-misc/hivex/hivex-1.3.20.ebuild
new file mode 100644
index 00000000000..3fd24d446ca
--- /dev/null
+++ b/app-misc/hivex/hivex-1.3.20.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26"
+RUBY_OPTIONAL=yes
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit l10n perl-module ruby-ng python-single-r1
+
+DESCRIPTION="Library for reading and writing Windows Registry 'hive' binary files"
+HOMEPAGE="https://libguestfs.org"
+SRC_URI="https://libguestfs.org/download/${PN}/${P}.tar.gz"
+S="${WORKDIR}/${P}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ocaml readline +perl python test ruby"
+
+RDEPEND="
+ dev-libs/libxml2:2
+ virtual/libiconv
+ virtual/libintl
+ ocaml? (
+ dev-lang/ocaml[ocamlopt]
+ dev-ml/findlib[ocamlopt]
+ )
+ perl? (
+ dev-lang/perl:=
+ dev-perl/IO-stringy
+ )
+ python? ( ${PYTHON_DEPS} )
+ readline? ( sys-libs/readline:0 )
+ ruby? ( $(ruby_implementations_depend) )
+"
+DEPEND="${RDEPEND}
+ perl? (
+ test? (
+ dev-perl/Pod-Coverage
+ dev-perl/Test-Pod-Coverage
+ )
+ )"
+
+ruby_add_bdepend "ruby? ( dev-ruby/rake
+ virtual/rubygems
+ dev-ruby/rdoc )"
+ruby_add_rdepend "ruby? ( virtual/rubygems )"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )
+ ruby? ( || ( $(ruby_get_use_targets) ) )"
+
+DOCS=( README )
+
+pkg_setup() {
+ if use python; then
+ python-single-r1_pkg_setup
+ fi
+}
+
+src_unpack() {
+ default
+ cp -prlP "${WORKDIR}/${P}" "${WORKDIR}"/all || die
+}
+
+src_configure() {
+ use ruby && ruby-ng_src_configure
+
+ if use perl; then
+ pushd perl || die
+ perl-module_src_configure
+ popd || die
+ fi
+
+ local myeconfargs=(
+ $(use_with readline)
+ $(use_enable ocaml)
+ $(use_enable perl)
+ --enable-nls
+ --disable-ruby
+ $(use_enable python)
+ --disable-rpath
+ --disable-static
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ default
+
+ use ruby && ruby-ng_src_compile
+}
+
+src_install() {
+ strip-linguas -i po
+
+ emake install DESTDIR="${ED}" "LINGUAS=""${LINGUAS}"""
+
+ if use python; then
+ python_optimize
+ fi
+
+ if use ruby; then
+ ruby-ng_src_install
+ fi
+
+ if use perl; then
+ perl_delete_localpod
+
+ # Workaround Build.PL for now (see libguestfs too)
+ doman "${ED}"/usr/man/man3/*
+ rm -rf "${ED}"/usr/man || die
+ fi
+
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2021-06-07 23:27 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-06-07 23:27 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-23 20:15 [gentoo-commits] repo/gentoo:master commit in: app-misc/hivex/ Arthur Zamarin
2024-10-07 13:17 Joonas Niilola
2024-06-11 10:13 Rick Farina
2024-06-02 5:12 Sam James
2023-12-02 10:56 Arthur Zamarin
2023-10-07 13:41 Joonas Niilola
2023-03-26 3:03 Sam James
2023-03-26 3:03 Sam James
2023-03-09 6:13 Sam James
2022-12-07 17:57 Hans de Graaff
2022-07-28 14:09 Sam James
2022-05-16 5:10 Sam James
2022-02-11 14:56 Joonas Niilola
2021-07-18 5:59 Hans de Graaff
2021-07-12 19:29 John Helmert III
2021-06-30 10:15 Ulrich Müller
2021-06-07 8:33 Joonas Niilola
2021-06-01 19:43 John Helmert III
2021-02-15 2:19 Rick Farina
2021-02-11 20:33 Conrad Kostecki
2021-01-15 17:05 Michał Górny
2020-05-31 9:44 Michał Górny
2020-05-31 9:44 Michał Górny
2020-05-02 5:18 Hans de Graaff
2020-03-18 20:36 Rick Farina
2020-02-10 11:54 Michał Górny
2019-11-08 13:29 Andreas K. Hüttel
2018-05-06 6:37 Hans de Graaff
2018-05-01 11:46 Michał Górny
2017-11-20 15:17 Manuel Rüger
2017-10-09 23:28 Thomas Deutschmann
2017-08-05 18:49 Hans de Graaff
2017-05-11 2:06 Richard Farina
2017-04-21 17:36 Pacho Ramos
2017-04-21 17:36 Pacho Ramos
2016-10-30 0:07 Mike Gilbert
2016-10-29 23:15 Mike Gilbert
2016-07-18 21:13 Hans de Graaff
2016-07-18 21:13 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1623108431.0a69af54f09f3f929f87140cd4c239aca323748d.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox